﻿@inject UserManager<ApplicationUser> UserManager;

@if (!User.Identity.IsAuthenticated)
{
    <a class="btn btn-outline-success my-2 my-sm-0" asp-controller="Account" asp-action="Login">
        <i class="bi bi-box-arrow-in-right"></i> Log in
    </a>
    <span style="padding: 5px;"></span>

    <a class="btn btn-outline-primary my-2 my-sm-0" asp-controller="Account" asp-action="Register">
        <i class="bi bi-person-plus"></i> Register
    </a>
}
else
{

    @*User profile section*@
    <div class="nav-item dropdown">
        <button class="btn btn-outline-success dropdown-toggle" type="button" id="profile-btn" data-bs-toggle="dropdown"
                aria-expanded="false">
            <i class="bi bi-person-badge"></i> Hello @UserManager.GetUserName(User)
        </button>
        <ul class="dropdown-menu" aria-labelledby="profile-btn">
            <li>
                <a class="dropdown-item" asp-controller="Orders" asp-action="Index">
                    <i class="bi bi-list"></i> Orders
                </a>
            </li>
            @if (User.IsInRole("Admin"))
            {
                 <li>
                    <a class="dropdown-item" asp-controller="Account" asp-action="Users">
                        <i class="bi bi-people"></i> Users
                    </a>
                </li>
            }

        </ul>
    </div>

    <span style="padding: 5px;"></span>
    <form asp-controller="Account" asp-action="Logout">
        <button class="btn btn-outline-danger my-2 my-sm-0">
            <i class="bi bi-box-arrow-in-right"></i> Log out
        </button>
    </form>
}
